#!/usr/bin/env python

from moinformat import parse, serialise, HTMLSerialiser

s0 = """\
Hello
{{{{#!wiki
A region
{{{
Another
}}}
End
}}}}
XXX
"""

s1 = """\
Hello
{{{{#!xxx
A region
{{{
Another
}}}
End
}}}}
XXX
"""

s2 = """\
Hello
{{{{
Start
}}}
Still in region
}}}}
End
"""

s3 = """\
Hello {{{world}}} again"""

d0 = parse(s0)
d1 = parse(s1)
d2 = parse(s2)
d3 = parse(s3)

ns0 = serialise(d0)
ns1 = serialise(d1)
ns2 = serialise(d2)
ns3 = serialise(d3)

for s, n in zip([s0, s1, s2, s3], [ns0, ns1, ns2, ns3]):
    print n == s
    print "----"
    print n
    print "----"

for d in [d0, d1, d2, d3]:
    print
    print "----"
    print serialise(d, HTMLSerialiser)
    print "----"

for d in [d0, d1, d2, d3]:
    print
    print "----"
    print d.prettyprint()
    print "----"

# vim: tabstop=4 expandtab shiftwidth=4
